com.fasterxml.jackson.databind.annotation

## Class JsonPOJOBuilder.Value

- java.lang.Object
- - com.fasterxml.jackson.databind.annotation.JsonPOJOBuilder.Value

Enclosing class:
  JsonPOJOBuilder

    public static class JsonPOJOBuilder.Value
    extends Object

Simple value container for containing values read from `JsonPOJOBuilder` annotation instance.

### Field Summary

Fields
`String` `buildMethodName`
`String` `withPrefix`

### Constructor Summary

Constructors
Constructor and Description
`JsonPOJOBuilder.Value(JsonPOJOBuilder ann)`
`JsonPOJOBuilder.Value(String buildMethodName, String withPrefix)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buildMethodName

    public final String buildMethodName

#### withPrefix

    public final String withPrefix

### Constructor Detail

#### JsonPOJOBuilder.Value

    public JsonPOJOBuilder.Value(JsonPOJOBuilder ann)

#### JsonPOJOBuilder.Value

    public JsonPOJOBuilder.Value(String buildMethodName,
                         String withPrefix)